Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

There is another thread with almost the exact same question title, however the solution does not work for me (possible updates for wine/ubuntu?)

I'm trying to install MathCad 14 on my Ubuntu 12.04 64 bit machine. There are various things I need to install first, such as MDAC2.6, all of which I've succesfully installed. However dotnet 2.0 refuses to follow suit.

These are the commands I've used:

WINEARCH=win32 WINEPREFIX=~/.wine32 winecfg (I set it to winxp)

env WINEPREFIX=~/.wine32 winetricks dotnet20

That's the advice from the previous question.

I've tried numerous other solutions all along the same lines (make a win32 folder to install in 32 bit etc.) but none have got me as far as the above method. Here the installer opens and runs. However it aborts whilst running. I get the following messages in the terminal which may be of interest:

Mono does not appear to be installed

Working around wine bug 30845 -- Using native fusion while installing...

Note: command 'env WINEDLLOVERRIDES=mscoree,fusion=n wine dotnetfx.exe' returned status 67. Aborting.

After that last line it aborts and the GUI says:

"The following error occurred during setup: Installation failed" 

Which is obviously very useful./s

I've also tried to install dotnet4.0 in the hopes a more modern version could also work for Mathcad. However I get to a similar point where an error occurs saying that a file could not be found.

any help?

EDIT: My version of wine must have been unstable or something. I purged wine, deleted all the folders and reinstalled wine 1.6 and winetricks. After that dotnet20 installed straight away no problem.

share|improve this question
    
What version of wine are you using? Have you tried the PPA supplied by the wine team? launchpad.net/~ubuntu-wine/+archive/ppa –  Bruno Pereira Feb 11 at 21:52
    
I just input sudo apt-get install wine so whatever the default is. Would that be a problem? –  Scironic Feb 11 at 21:53
    
Try the updated packages from the PPA please. –  Bruno Pereira Feb 11 at 21:53
    
Sorry about the late response. I've done sudo add-apt-repository ppa:ubuntu-wine/ppa. Is that correct? I tried the install for dotnet2.0 again with no luck. Edit: did sudo apt-get update as well. –  Scironic Feb 11 at 22:29
    
You are missing a sudo apt-get upgrade, that will upgrade wine to a new version and you can try again. –  Bruno Pereira Feb 11 at 22:32

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Browse other questions tagged or ask your own question.